%define		mname Parse-Syslog
%define		pname perl-%{mname}
%define		pversion 1.03
%define 	bversion 9
%define		rpmrelease iworx

%define 	_use_internal_dependency_generator 0
%define 	debug_package %{nil}

# INSTRUCTIONS!!! <--------------------- READ THEM!!!
#
# You can rebuild  this  package safely using Command
# Line Overrides. For example, if you want to rebuild
# this package for RedHat just type:
# $ rpm --rebuild --with redhat package.src.rpm
# $ rpm -ba --with redhat package.spec
#
# mdk = GNU/Linux Mandrake
# rht = Linux Red-Hat
# sus = Suse Linux
# fdr = Fedora Linux
# cos = CentOS
# whb = White Box Linux
# rhe = Red Hat Enterprise
# unk = Unknown
#

%define		build_rhe_6x   0
%define		build_rhe_7x   0
%define		build_rhe_8x   0
%define		build_amzn1    0

%define		build_unk      1

# Command Line Overrides
%{?_with_rhe6x: 	%{expand: %%define build_rhe_6x   1}}
%{?_with_rhe7x: 	%{expand: %%define build_rhe_7x   1}}
%{?_with_rhe8x: 	%{expand: %%define build_rhe_8x   1}}
%{?_with_amzn1: 	%{expand: %%define build_amzn1    1}}

%{?_with_unk: 		%{expand: %%define build_unk      1}}

# Distro Statements
%if %{build_rhe_6x}
%define		oscode rhe6x
%define 	ostype RedHat Enterprise 6.x
BuildRequires:	perl
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_unk 0
BuildRequires:  perl-devel
%endif

%if %{build_rhe_7x}
%define		oscode rhe7x
%define 	ostype RedHat Enterprise 7.x
BuildRequires:	perl
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_unk 0
BuildRequires:  perl-devel
%endif

%if %{build_amzn1}
%define		oscode amzn1
%define 	ostype Amazon Linux
BuildRequires:	perl
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_unk 0
BuildRequires:  perl-devel
%endif

%if %{build_rhe_8x}
%define         oscode rhe8x
%define         ostype Almalinux 8.x
BuildRequires:  perl
%define         ccflags %{optflags}
%define         ldflags %{optflags}
%define         build_unk 0
Requires:  	perl
BuildRequires:  perl-devel
%endif

%define	release %{bversion}.%{oscode}.%{rpmrelease}

##
# THIS MUST BE LAST
##

%if %{build_unk}
%define		oscode unk
%define 	ostype Unknown Distribution
%define		release %{bversion}.%{rpmrelease}
BuildRequires:	perl
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%endif

############### RPM ################################

Summary:	Parse::Syslog
Name:		%{pname}
Version:	%{pversion}
Release: 	%{release}
License:	distributable

Group:		Applications/CPAN
Source0:	%{mname}-%{version}.tar.gz
URL:		http://cpan.org/authors/id/D/DS/DSCHWEI/

Distribution:	InterWorx-HAL
Vendor:         INTERWORX L.L.C
Packager:	Paul Oehler <poehler@interworx.com>

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%if %{build_rhe_8x}
BuildRequires: perl-generators
%endif

%description
Parse-Syslog

%prep

if [ -n %{buildroot} ] ; then rm -rf %{buildroot} ; fi

if [ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] ; then rm -rf $RPM_BUILD_DIR/%{name}-%{pversion} ; fi

%setup -q -n %{mname}-%{version}

# Try detecting newest gcc (some distributions have got more then one compiler)
# and write it on a temp file

if [ -f %{_tmppath}/%{name}-%{pversion}-gcc ] ; then rm -f %{_tmppath}/%{name}-%{pversion}-gcc ; fi

if   [ -x /usr/bin/gcc-3.2.3 ]; then
	echo "/usr/bin/gcc-3.2.3" > %{_tmppath}/%{name}-%{pversion}-gcc
elif   [ -x /usr/bin/gcc-3.2.2 ]; then
	echo "/usr/bin/gcc-3.2.2" > %{_tmppath}/%{name}-%{pversion}-gcc
elif   [ -x /usr/bin/gcc-3.2.1 ]; then
	echo "/usr/bin/gcc-3.2.1" > %{_tmppath}/%{name}-%{pversion}-gcc
elif [ -x /usr/bin/gcc-3.2 ]; then
        echo "/usr/bin/gcc-3.2" > %{_tmppath}/%{name}-%{pversion}-gcc
elif [ -x /usr/bin/gcc-3.1.1 ]; then
        echo "/usr/bin/gcc-3.1.1" > %{_tmppath}/%{name}-%{pversion}-gcc
else
	echo "gcc" > %{_tmppath}/%{name}-%{pversion}-gcc
fi

# Display compilation flags and OS with colors ;)

if [ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] ; then rm -f %{_tmppath}/%{name}-%{pversion}-show_flags ; fi
cat <<EOF >>%{_tmppath}/%{name}-%{pversion}-show_flags
#!/bin/sh

RPM="RPM RELEASE: \033[40m\033[001;033m%{release}"
OS="OS TYPE IS : \033[40m\033[001;033m%{ostype}"
GCC="GCC IS     : \033[40m\033[001;033m`cat %{_tmppath}/%{name}-%{pversion}-gcc`"
CCF="CCFLAGS    : \033[40m\033[001;033m%{ccflags}"
LDF="LDFLAGS    : \033[40m\033[001;033m%{ldflags}"

echo
echo
echo -e "\033[40m\033[001;031m\$RPM\033[0m"
echo -e "\033[40m\033[001;031m\$OS\033[0m"
echo -e "\033[40m\033[001;031m\$GCC\033[0m"
echo -e "\033[40m\033[001;031m\$CCF\033[0m"
echo -e "\033[40m\033[001;031m\$LDF\033[0m"
echo
echo

sleep 3

EOF

# Take care to execute and then to delete
chmod u+x %{_tmppath}/%{name}-%{pversion}-show_flags
%{_tmppath}/%{name}-%{pversion}-show_flags
if [ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] ; then rm -f %{_tmppath}/%{name}-%{pversion}-show_flags ; fi

# We have gcc written in a temp file
export CC="`cat %{_tmppath}/%{name}-%{pversion}-gcc` %{ccflags}"

# Delete gcc temp file
if [ -f %{_tmppath}/%{name}-%{pversion}-gcc ] ; then rm -f %{_tmppath}/%{name}-%{pversion}-gcc ; fi

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL \
	PREFIX=%{buildroot}/usr \
	INSTALLDIRS=vendor --ssl

%{__make} %{?_smp_mflags}

%install

make install

if [ -x /usr/lib/rpm/brp-compress ] ; then /usr/lib/rpm/brp-compress ; fi

find %{buildroot} \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find %{buildroot}/usr -type f -print | \
        sed "s@^%{buildroot}@@g" | \
        grep -v perllocal.pod | \
        grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Thu Nov 18 2021 Tim College <tcollege@interworx.com>
- Add perl-generators
* Tue Sep 14 2021 Joseph Purkis <jpurkis@interworx.com>
- Updated for RHEL 8.x
* Tue Aug 26 2014 Matt Parmelee <mparmelee@interworx.com>
- Updated for RHEL 7.x
* Tue Aug 30 2011 Paul Oehler <poehler@interworx.com>
- Updated for Amazon Linux
* Thu May 06 2010 Paul Oehler <poehler@interworx.com>
- Updated for RHEL 6.x
* Tue Jun 17 2008 Paul Oehler <poehler@interworx.com>
- Updated for Fedora 9
* Tue May 13 2008 Paul Oehler <poehler@interworx.com>
- Added Fedora 8 support
* Mon Jan 17 2005 Chris Wells <clwells@nexcess.net>
- Initial packaging as part of InterWorx-HAL OS

